Référence interactive des endpoints, schémas d'authentification et exemples d'intégration pour connecter votre cabinet ou votre partenaire à Oltigo.
Obtenez un jeton API depuis votre tableau de bord (Espace clinique → Intégrations), puis interrogez l'API REST v1.
curl -X GET https://oltigo.com/api/v1/appointments -H "Authorization: Bearer YOUR_API_TOKEN" -H "Content-Type: application/json"const response = await fetch("https://oltigo.com/api/v1/appointments", {
headers: {
Authorization: `Bearer ${token}`,
"Content-Type": "application/json",
},
});
const { data } = await response.json();import requests
resp = requests.get(
"https://oltigo.com/api/v1/appointments",
headers={
"Authorization": f"Bearer {token}",
"Content-Type": "application/json",
},
)
data = resp.json()curl -X POST https://oltigo.com/api/v1/patients -H "Authorization: Bearer YOUR_API_TOKEN" -H "Content-Type: application/json" -d '{
"name": "Amal Ben",
"phone": "+212612345678",
"date_of_birth": "1990-05-15",
"gender": "F"
}'